Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# pip search

## Usage

Unix/macOS

    python -m pip search [options] <query>

Windows

    py -m pip search [options] <query>

## Description

Attention

PyPI no longer supports `pip search` (or XML-RPC search). Please use https://pypi.org/search (via a browser) instead. See https://warehouse.pypa.io/api-reference/xml-rpc.html#deprecated-methods for more information.

However, XML-RPC search (and this command) may still be supported by indexes other than PyPI.

Search for PyPI packages whose name or summary contains <query>.

## Options

-i, --index <url>

  Base URL of Python Package Index (default https://pypi.org/pypi)

  (environment variable: `PIP_INDEX`)

## Examples

1. Search for “peppercorn”

   Unix/macOS

       $ python -m pip search peppercorn
       pepperedform    - Helpers for using peppercorn with formprocess.
       peppercorn      - A library for converting a token stream into [...]

   Windows

       C:\> py -m pip search peppercorn
       pepperedform    - Helpers for using peppercorn with formprocess.
       peppercorn      - A library for converting a token stream into [...]